Skip to main content
GET
/
files
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.files.list({});

  console.log(result);
}

run();
curl --request GET \
--url https://api.crevio.co/v1/files \
--header 'Authorization: <api-key>'
import requests

url = "https://api.crevio.co/v1/files"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.crevio.co/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "object": "<string>",
      "id": "<string>",
      "title": "<string>",
      "description": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "url": "<string>",
      "tags": [
        "<string>"
      ],
      "source_job_id": "<string>",
      "filename": "<string>",
      "content_type": "<string>",
      "size": 123,
      "provider": "<string>",
      "file_url": "<string>"
    }
  ],
  "has_more": true,
  "url": "<string>"
}
{
"error": {
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request was malformed or contained invalid parameters"
}
}
{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}
{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}
{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100
kind
enum<string>

Filter by kind

Available options:
file,
external_video
source
enum<string>

Filter by provenance

Available options:
upload,
url_import,
external_video,
generation

Response

List of files

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required